Name:       ruby-dict
Version:    0.9.4
Release:    %mkrel 7
Summary:    Ruby/DICT library
License:    GPLv2+
Group:      Development/Ruby
URL:        http://www.caliban.org/ruby/
Source:     http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: ruby

%description
Ruby/DICT is an RFC 2229 compliant client-side library implementation of the
DICT protocol, written in the Ruby programming language. It can be used to
write clients that access dictionary definitions from a set of natural
language dictionary databases.

In addition, rdict, a dictionary client built on Ruby/DICT, is included.


%prep
%setup

%build
make config ROOT=%{buildroot}%{_prefix}
make setup

%install
make install ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man{1,3}
install doc/dict.3 %{buildroot}%{_mandir}/man3/dict.3
install doc/rdict.1 %{buildroot}%{_mandir}/man1/rdict.1

%files
%defattr(-,root,root)
%doc Changelog COPYING doc/dict.html doc/rdict.html doc/rfc2229.txt README TODO
%{_bindir}/rdict
%{ruby_sitelibdir}/dict.rb
%{_mandir}/man1/rdict.1.*
%{_mandir}/man3/dict.3.*


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.9.4-7.mga3
+ Revision: 395856
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.4-6.mga3
+ Revision: 380818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.9.4-5.mga3
+ Revision: 312847
- rebuild for new ruby

* Sun May 08 2011 shikamaru <shikamaru> 0.9.4-4.mga1
+ Revision: 96318
- Clean spec
- align tags and reorder them
- kill buildroot
- make stuff in build
- reorder sections
- bump rel
- imported package ruby-dict

